
Ruby - Bug #13161

[DOC] Enumerable#{min,min_by,max,max_by} didn't mention they return a sorted array

01/26/2017 09:12 PM - eric_duminil (Eric Duminil)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.4.0p0 (2016-12-24 revision

57164) [x86_64-linux]

Backport: 2.2: DONE, 2.3: DONE, 2.4: DONE

Description

Enumerable#{min,min_by,max,max_by} return a sorted array when +n+ argument is used. This isn't mentioned from the current

documentation.

"minimum n elements" in Enumerable#max_by should be "maximum n elements"

Associated revisions

Revision 559bef4228eaab3d5493948a87cd84d83e115174 - 01/27/2017 03:24 AM - nobu (Nobuyoshi Nakada)

Enumerable#{min,min_by,max,max_by} [ci skip]

enum.c: [DOC] Enumerable#{min,min_by,max,max_by} return a sorted

array when +n+ argument is used.

enum.c: Small typo : minimum -> maximum

[Bug #13161]

Author:    Eric Duminil eric.duminil@gmail.com

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@57434 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 559bef42 - 01/27/2017 03:24 AM - nobu (Nobuyoshi Nakada)

Enumerable#{min,min_by,max,max_by} [ci skip]

enum.c: [DOC] Enumerable#{min,min_by,max,max_by} return a sorted

array when +n+ argument is used.

enum.c: Small typo : minimum -> maximum

[Bug #13161]

Author:    Eric Duminil eric.duminil@gmail.com

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@57434 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision cfb3f0cceeab78add238050b8901bccbcb315229 - 03/11/2017 06:11 PM - naruse (Yui NARUSE)

merge revision(s) 57434: [Backport #13161]

    Enumerable#{min,min_by,max,max_by} [ci skip]

    * enum.c: [DOC] Enumerable#{min,min_by,max,max_by} return a sorted

      array when +n+ argument is used.

    * enum.c: Small typo : minimum -> maximum

    [Bug #13161]

    Author:    Eric Duminil <eric.duminil@gmail.com>

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@57876 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision cfb3f0cc - 03/11/2017 06:11 PM - naruse (Yui NARUSE)

merge revision(s) 57434: [Backport #13161]
    Enumerable#{min,min_by,max,max_by} [ci skip]

    * enum.c: [DOC] Enumerable#{min,min_by,max,max_by} return a sorted

      array when +n+ argument is used.

    * enum.c: Small typo : minimum -> maximum

    [Bug #13161]

    Author:    Eric Duminil <eric.duminil@gmail.com>

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@57876 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision b334883cc1543a21970574e8ad7d0d8f3879f8a9 - 03/19/2017 09:45 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 57434: [Backport #13161]

    Enumerable#{min,min_by,max,max_by} [ci skip]

    * enum.c: [DOC] Enumerable#{min,min_by,max,max_by} return a sorted

      array when +n+ argument is used.

    * enum.c: Small typo : minimum -> maximum

    [Bug #13161]

    Author:    Eric Duminil <eric.duminil@gmail.com>

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@58030 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision b334883c - 03/19/2017 09:45 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 57434: [Backport #13161]

    Enumerable#{min,min_by,max,max_by} [ci skip]

    * enum.c: [DOC] Enumerable#{min,min_by,max,max_by} return a sorted

      array when +n+ argument is used.

    * enum.c: Small typo : minimum -> maximum

    [Bug #13161]

    Author:    Eric Duminil <eric.duminil@gmail.com>

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@58030 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 0a1e564683cbd9ce3728c3c1ef03c76df15e4696 - 03/25/2017 05:36 PM - U.Nakamura 

merge revision(s) 57434: [Backport #13161]

    Enumerable#{min,min_by,max,max_by} [ci skip]

    * enum.c: [DOC] Enumerable#{min,min_by,max,max_by} return a sorted

      array when +n+ argument is used.

    * enum.c: Small typo : minimum -> maximum

    [Bug #13161]

    Author:    Eric Duminil <eric.duminil@gmail.com>

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@58112 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 0a1e5646 - 03/25/2017 05:36 PM - U.Nakamura 

merge revision(s) 57434: [Backport #13161]

    Enumerable#{min,min_by,max,max_by} [ci skip]

    * enum.c: [DOC] Enumerable#{min,min_by,max,max_by} return a sorted

      array when +n+ argument is used.

    * enum.c: Small typo : minimum -> maximum

    [Bug #13161]

    Author:    Eric Duminil <eric.duminil@gmail.com>

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@58112 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
History

#1 - 01/27/2017 03:24 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

Applied in changeset r57434.

Enumerable#{min,min_by,max,max_by} [ci skip]

enum.c: [DOC] Enumerable#{min,min_by,max,max_by} return a sorted

array when +n+ argument is used.

enum.c: Small typo : minimum -> maximum

[Bug #13161]

Author:    Eric Duminil eric.duminil@gmail.com

#2 - 03/11/2017 06:15 PM - naruse (Yui NARUSE)

- Backport changed from 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4: UNKNOWN to 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4: DONE

ruby_2_4 r57876 merged revision(s) 57434.

#3 - 03/13/2017 12:58 AM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4: DONE to 2.2: REQUIRED, 2.3: REQUIRED, 2.4: DONE

#4 - 03/19/2017 09:45 PM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.2: REQUIRED, 2.3: REQUIRED, 2.4: DONE to 2.2: REQUIRED, 2.3: DONE, 2.4: DONE

ruby_2_3 r58030 merged revision(s) 57434.

#5 - 03/25/2017 05:36 PM - usa (Usaku NAKAMURA)

- Backport changed from 2.2: REQUIRED, 2.3: DONE, 2.4: DONE to 2.2: DONE, 2.3: DONE, 2.4: DONE

ruby_2_2 r58112 merged revision(s) 57434.

Files

0001-DOC-Enumerable-min-min_by-max-max_by.patch 2.42 KB 01/26/2017 eric_duminil (Eric Duminil)
